/// <reference path="../scripts/typings/jquery/jquery.d.ts" />
/// <reference path="../scripts/itvapputil.ts" />




$(document).ready(function () {


    log("laden...");
    //ausgabe('Dies ist ein Test');


    $('#myModal').on('hidden.bs.modal', function () {
        log("hidden");
    })


    $('#myModal').on('shown.bs.modal', function () {
        log("shown");
    })

    $(function () {
        $("[rel='tooltip']").tooltip();
        //$("a").tooltip();
        $("#log").tooltip();
    });

$(document).ajaxError(function (event, request, settings) {
    log("<li>Error requesting page " + settings.url + "</li>");
    });

    var id: string = "GetInfo2 liefert";
    var params = { 'Eingabe': id , "Trenner" : ": "};

    $.ajax({
        type: "POST",
        url: "Spielwiese.aspx/GetInfo2",
        data: JSON.stringify(params),
        contentType: "application/json; charset=utf-8",
        dataType: "json",

        error: function (err1, err2, err3) {
            // Replace the div's content with the page method's return.
            log("FEHLER: " +err3);
        },
        success: function (msg) {
            // Replace the div's content with the page method's return.
            log(msg.d);
        }
    });
 var p: any = {};

 p.x = 1;

    log("geladen!");
   
 $('#content').text("wert: " + p.x);

});


function StartDialog(): void {

    var options = {
        //remote: "Dialog.html"
    }
    $('#myModal').modal(options);

}



